aboutsummaryrefslogtreecommitdiffstats
path: root/src/compiler/glsl/tests/warnings-test
diff options
context:
space:
mode:
Diffstat (limited to 'src/compiler/glsl/tests/warnings-test')
-rwxr-xr-xsrc/compiler/glsl/tests/warnings-test31
1 files changed, 31 insertions, 0 deletions
diff --git a/src/compiler/glsl/tests/warnings-test b/src/compiler/glsl/tests/warnings-test
new file mode 100755
index 00000000000..1bea4665394
--- /dev/null
+++ b/src/compiler/glsl/tests/warnings-test
@@ -0,0 +1,31 @@
+#!/usr/bin/env bash
+
+# Execute several shaders, and check that the InfoLog outcome is the expected.
+
+compiler=./glsl_compiler
+total=0
+pass=0
+
+echo "====== Testing compilation output ======"
+for test in `find . -iname '*.vert'`; do
+ echo -n "Testing $test..."
+ $compiler --just-log --version 150 "$test" > "$test.out" 2>&1
+ total=$((total+1))
+ if diff "$test.expected" "$test.out" >/dev/null 2>&1; then
+ echo "PASS"
+ pass=$((pass+1))
+ else
+ echo "FAIL"
+ diff "$test.expected" "$test.out"
+ fi
+done
+
+echo ""
+echo "$pass/$total tests returned correct results"
+echo ""
+
+if [[ $pass == $total ]]; then
+ exit 0
+else
+ exit 1
+fi